Create 19.12 RC releases
Closed, ResolvedPublic

Description

Prepare tarballs:

  • increase version number in release-tools version for the releases/19.12 branch to 19.11.90
  • run increase_repos_version.sh in your local machine
  • git: fetch and change to releases/19.12 branch in pkgapplications server
  • cleanup artifacts from old releases (sources/* and versions/*)
  • run update_l10n.sh in capona
  • run pack_all.sh in capona
  • copy tars and and signatures to proper location in milonia
  • announce packages to release-team list, including changelog, hashes, and signature verification key
  • copy versions/* to local machine, needed for tagging and create_log.sh
  • run create_sources_inc > sources.inc on capona

On release day:

  • open download area in milona (chmod 755)
  • commit sources.inc as www/info/source-applications-19.11.90.inc
  • commit www/info/applications-19.11.90.php
  • run tag_all.sh in your local machine
  • run add_bugzilla_versions.sh in your local machine
  • publish release text from https://invent.kde.org/websites/kde-org-announcements-releases/content/19.12-rc
  • commit announcements to www/announcements/index.php and www/index.php
  • post announcement to announce at kde.org list, to reddit, etc.
  • more stuff

Related Objects

StatusAssignedTask
Opencfeck
Resolvedcfeck
aacid created this task.Nov 26 2019, 10:22 PM
aacid added a subscriber: cfeck.Nov 26 2019, 10:53 PM
cfeck updated the task description. (Show Details)Nov 29 2019, 2:56 AM
cfeck claimed this task.Nov 29 2019, 3:04 AM
cfeck updated the task description. (Show Details)Nov 29 2019, 3:14 AM
cfeck closed this task as Resolved.Dec 2 2019, 11:55 PM
cfeck updated the task description. (Show Details)